curl -X POST "https://api.danubeai.com/v1/webhooks" \
-H "Authorization: Bearer YOUR_JWT_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"url": "https://example.com/webhooks/danube",
"events": ["tool.execution.completed", "tool.execution.failed"],
"description": "Production monitoring"
}'
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"url": "https://example.com/webhooks/danube",
"events": ["tool.execution.completed", "tool.execution.failed"],
"is_active": true,
"description": "Production monitoring",
"secret": "whsec_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6"
}
Webhooks
Create Webhook
Register a new webhook endpoint
POST
/
v1
/
webhooks
curl -X POST "https://api.danubeai.com/v1/webhooks" \
-H "Authorization: Bearer YOUR_JWT_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"url": "https://example.com/webhooks/danube",
"events": ["tool.execution.completed", "tool.execution.failed"],
"description": "Production monitoring"
}'
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"url": "https://example.com/webhooks/danube",
"events": ["tool.execution.completed", "tool.execution.failed"],
"is_active": true,
"description": "Production monitoring",
"secret": "whsec_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6"
}
Overview
Create a new webhook to receive HTTP notifications when events occur. The response includes a signing secret that is only shown once — save it immediately. Auth: Requires JWT token (Authorization: Bearer <token>).
Body Parameters
string
required
The HTTPS URL to receive webhook deliveries. Must start with
https://.string[]
required
Event types to subscribe to. At least one is required.Valid values:
tool.execution.completedtool.execution.failedworkflow.completedworkflow.failedagent.spend.limit_approachingtool.flagged(publishers)service.degraded(publishers)service.repaired(publishers)
string
Optional description for your reference (e.g. “Production monitoring”)
Response
string
Webhook UUID
string
The registered URL
string[]
Subscribed event types
boolean
Always
true on creationstring
Optional description
string
The signing secret (format:
whsec_...). Only returned on creation. Use this to verify webhook signatures via HMAC-SHA256.Example
curl -X POST "https://api.danubeai.com/v1/webhooks" \
-H "Authorization: Bearer YOUR_JWT_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"url": "https://example.com/webhooks/danube",
"events": ["tool.execution.completed", "tool.execution.failed"],
"description": "Production monitoring"
}'
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"url": "https://example.com/webhooks/danube",
"events": ["tool.execution.completed", "tool.execution.failed"],
"is_active": true,
"description": "Production monitoring",
"secret": "whsec_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6"
}
secret value securely — it is only returned once. See the Webhooks guide for signature verification examples.